org.apache.myfaces.trinidad.component.html

## Class HtmlTableLayout

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.html.HtmlTableLayout

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class HtmlTableLayout
      extends UIXComponentBase

  A TableLayout is a thin wrapper around the HTML <table> element. It contains a series of row layout elements.
  By default, HTML tables treat cell widths more like suggestions rather than requirements; cell content sizes contribute more in determining the size of each column. If you care more for the specified cellFormat widths than content sizes (particularly if your cellFormat widths are percentage-based and your cells have contents that are programmatically-resizable based on the cell width), then you will need to use inlineStyle="table-layout:fixed" to declare that you want your cell widths to be explicitly honored. Refer to the CSS specification for further details on this style property.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change events might include the width of a column that supported client-side resizing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyKey` | `BORDER_WIDTH_KEY`
    `static PropertyKey` | `CELL_PADDING_KEY`
    `static PropertyKey` | `CELL_SPACING_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `HALIGN_CENTER`
    `static String` | `HALIGN_END`
    `static PropertyKey` | `HALIGN_KEY`
    `static String` | `HALIGN_LEFT`
    `static String` | `HALIGN_RIGHT`
    `static String` | `HALIGN_START`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static PropertyKey` | `ONCLICK_KEY`
    `static PropertyKey` | `ONDBLCLICK_KEY`
    `static PropertyKey` | `ONKEYDOWN_KEY`
    `static PropertyKey` | `ONKEYPRESS_KEY`
    `static PropertyKey` | `ONKEYUP_KEY`
    `static PropertyKey` | `ONMOUSEDOWN_KEY`
    `static PropertyKey` | `ONMOUSEMOVE_KEY`
    `static PropertyKey` | `ONMOUSEOUT_KEY`
    `static PropertyKey` | `ONMOUSEOVER_KEY`
    `static PropertyKey` | `ONMOUSEUP_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static PropertyKey` | `SUMMARY_KEY`
    `static FacesBean.Type` | `TYPE`
    `static PropertyKey` | `WIDTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `HtmlTableLayout()` Construct an instance of the HtmlTableLayout.
    `protected` | `HtmlTableLayout(String rendererType)` Construct an instance of the HtmlTableLayout.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FacesBean.Type` | `getBeanType()`
    `int` | `getBorderWidth()` Gets the border width around each cell.
    `int` | `getCellPadding()` Gets the spacing within cells.
    `int` | `getCellSpacing()` Gets the spacing between cells.
    `String` | `getFamily()`
    `String` | `getHalign()` Gets the horizontal alignment of the table.
    `String` | `getInlineStyle()` Gets the inline CSS style for this element
    `String` | `getOnclick()` Gets an onclick Javascript handler.
    `String` | `getOndblclick()` Gets an ondblclick Javascript handler.
    `String` | `getOnkeydown()` Gets an onkeydown Javascript handler.
    `String` | `getOnkeypress()` Gets an onkeypress Javascript handler.
    `String` | `getOnkeyup()` Gets an onkeyup Javascript handler.
    `String` | `getOnmousedown()` Gets an onmousedown Javascript handler.
    `String` | `getOnmousemove()` Gets an onmousemove Javascript handler.
    `String` | `getOnmouseout()` Gets an onmouseout Javascript handler.
    `String` | `getOnmouseover()` Gets an onmouseover Javascript handler.
    `String` | `getOnmouseup()` Gets an onmouseup Javascript handler.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getShortDesc()` Gets the short description of the bean.
    `String` | `getStyleClass()` Gets the CSS style class of the bean.
    `String` | `getSummary()` Gets The summary of the table's purpose and structure for user agents rendering to non-visual media.
    `String` | `getWidth()` Gets the preferred total width of the layout.
    `void` | `setBorderWidth(int borderWidth)` Sets the border width around each cell.
    `void` | `setCellPadding(int cellPadding)` Sets the spacing within cells.
    `void` | `setCellSpacing(int cellSpacing)` Sets the spacing between cells.
    `void` | `setHalign(String halign)` Sets the horizontal alignment of the table.
    `void` | `setInlineStyle(String inlineStyle)` Sets the inline CSS style for this element
    `void` | `setOnclick(String onclick)` Sets an onclick Javascript handler.
    `void` | `setOndblclick(String ondblclick)` Sets an ondblclick Javascript handler.
    `void` | `setOnkeydown(String onkeydown)` Sets an onkeydown Javascript handler.
    `void` | `setOnkeypress(String onkeypress)` Sets an onkeypress Javascript handler.
    `void` | `setOnkeyup(String onkeyup)` Sets an onkeyup Javascript handler.
    `void` | `setOnmousedown(String onmousedown)` Sets an onmousedown Javascript handler.
    `void` | `setOnmousemove(String onmousemove)` Sets an onmousemove Javascript handler.
    `void` | `setOnmouseout(String onmouseout)` Sets an onmouseout Javascript handler.
    `void` | `setOnmouseover(String onmouseover)` Sets an onmouseover Javascript handler.
    `void` | `setOnmouseup(String onmouseup)` Sets an onmouseup Javascript handler.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setShortDesc(String shortDesc)` Sets the short description of the bean.
    `void` | `setStyleClass(String styleClass)` Sets the CSS style class of the bean.
    `void` | `setSummary(String summary)` Sets The summary of the table's purpose and structure for user agents rendering to non-visual media.
    `void` | `setWidth(int width)` Sets the preferred total width of the layout.
    `void` | `setWidth(String width)` Sets the preferred total width of the layout.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getParent, getProperty, getPropertyKey, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setValueBinding, setValueExpression, toString, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, clearCachedClientIds, clearCachedClientIds, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HALIGN_RIGHT

          public static final String HALIGN_RIGHT

      See Also:
        Constant Field Values

    - #### HALIGN_START

          public static final String HALIGN_START

      See Also:
        Constant Field Values

    - #### HALIGN_LEFT

          public static final String HALIGN_LEFT

      See Also:
        Constant Field Values

    - #### HALIGN_END

          public static final String HALIGN_END

      See Also:
        Constant Field Values

    - #### HALIGN_CENTER

          public static final String HALIGN_CENTER

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### WIDTH_KEY

          public static final PropertyKey WIDTH_KEY

    - #### HALIGN_KEY

          public static final PropertyKey HALIGN_KEY

    - #### CELL_SPACING_KEY

          public static final PropertyKey CELL_SPACING_KEY

    - #### CELL_PADDING_KEY

          public static final PropertyKey CELL_PADDING_KEY

    - #### BORDER_WIDTH_KEY

          public static final PropertyKey BORDER_WIDTH_KEY

    - #### SUMMARY_KEY

          public static final PropertyKey SUMMARY_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### ONCLICK_KEY

          public static final PropertyKey ONCLICK_KEY

    - #### ONDBLCLICK_KEY

          public static final PropertyKey ONDBLCLICK_KEY

    - #### ONMOUSEDOWN_KEY

          public static final PropertyKey ONMOUSEDOWN_KEY

    - #### ONMOUSEUP_KEY

          public static final PropertyKey ONMOUSEUP_KEY

    - #### ONMOUSEOVER_KEY

          public static final PropertyKey ONMOUSEOVER_KEY

    - #### ONMOUSEMOVE_KEY

          public static final PropertyKey ONMOUSEMOVE_KEY

    - #### ONMOUSEOUT_KEY

          public static final PropertyKey ONMOUSEOUT_KEY

    - #### ONKEYPRESS_KEY

          public static final PropertyKey ONKEYPRESS_KEY

    - #### ONKEYDOWN_KEY

          public static final PropertyKey ONKEYDOWN_KEY

    - #### ONKEYUP_KEY

          public static final PropertyKey ONKEYUP_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlTableLayout

          public HtmlTableLayout()

      Construct an instance of the HtmlTableLayout.

    - #### HtmlTableLayout

          protected HtmlTableLayout(String rendererType)

      Construct an instance of the HtmlTableLayout.

  - ### Method Detail

    - #### getWidth

          public final String getWidth()

      Gets the preferred total width of the layout.
      Returns:
        the new width value

    - #### setWidth

          public final void setWidth(String width)

      Sets the preferred total width of the layout.
      Parameters:
        `width` - the new width value

    - #### setWidth

          public final void setWidth(int width)

      Sets the preferred total width of the layout.
      Parameters:
        `width` - the new width value

    - #### getHalign

          public final String getHalign()

      Gets the horizontal alignment of the table. The acceptable values are "center", "left", "right", "start", and "end".
      Returns:
        the new halign value

    - #### setHalign

          public final void setHalign(String halign)

      Sets the horizontal alignment of the table. The acceptable values are "center", "left", "right", "start", and "end".
      Parameters:
        `halign` - the new halign value

    - #### getCellSpacing

          public final int getCellSpacing()

      Gets the spacing between cells.
      Returns:
        the new cellSpacing value

    - #### setCellSpacing

          public final void setCellSpacing(int cellSpacing)

      Sets the spacing between cells.
      Parameters:
        `cellSpacing` - the new cellSpacing value

    - #### getCellPadding

          public final int getCellPadding()

      Gets the spacing within cells.
      Returns:
        the new cellPadding value

    - #### setCellPadding

          public final void setCellPadding(int cellPadding)

      Sets the spacing within cells.
      Parameters:
        `cellPadding` - the new cellPadding value

    - #### getBorderWidth

          public final int getBorderWidth()

      Gets the border width around each cell.
      Returns:
        the new borderWidth value

    - #### setBorderWidth

          public final void setBorderWidth(int borderWidth)

      Sets the border width around each cell.
      Parameters:
        `borderWidth` - the new borderWidth value

    - #### getSummary

          public final String getSummary()

      Gets The summary of the table's purpose and structure for user agents rendering to non-visual media. This attribute must be set if this element is being used to implement a data table (instead of a layout table).
      Returns:
        the new summary value

    - #### setSummary

          public final void setSummary(String summary)

      Sets The summary of the table's purpose and structure for user agents rendering to non-visual media. This attribute must be set if this element is being used to implement a data table (instead of a layout table).
      Parameters:
        `summary` - the new summary value

    - #### getShortDesc

          public final String getShortDesc()

      Gets the short description of the bean. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets the short description of the bean. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.
      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.
      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getOnclick

          public final String getOnclick()

      Gets an onclick Javascript handler.
      Returns:
        the new onclick value

    - #### setOnclick

          public final void setOnclick(String onclick)

      Sets an onclick Javascript handler.
      Parameters:
        `onclick` - the new onclick value

    - #### getOndblclick

          public final String getOndblclick()

      Gets an ondblclick Javascript handler.
      Returns:
        the new ondblclick value

    - #### setOndblclick

          public final void setOndblclick(String ondblclick)

      Sets an ondblclick Javascript handler.
      Parameters:
        `ondblclick` - the new ondblclick value

    - #### getOnmousedown

          public final String getOnmousedown()

      Gets an onmousedown Javascript handler.
      Returns:
        the new onmousedown value

    - #### setOnmousedown

          public final void setOnmousedown(String onmousedown)

      Sets an onmousedown Javascript handler.
      Parameters:
        `onmousedown` - the new onmousedown value

    - #### getOnmouseup

          public final String getOnmouseup()

      Gets an onmouseup Javascript handler.
      Returns:
        the new onmouseup value

    - #### setOnmouseup

          public final void setOnmouseup(String onmouseup)

      Sets an onmouseup Javascript handler.
      Parameters:
        `onmouseup` - the new onmouseup value

    - #### getOnmouseover

          public final String getOnmouseover()

      Gets an onmouseover Javascript handler.
      Returns:
        the new onmouseover value

    - #### setOnmouseover

          public final void setOnmouseover(String onmouseover)

      Sets an onmouseover Javascript handler.
      Parameters:
        `onmouseover` - the new onmouseover value

    - #### getOnmousemove

          public final String getOnmousemove()

      Gets an onmousemove Javascript handler.
      Returns:
        the new onmousemove value

    - #### setOnmousemove

          public final void setOnmousemove(String onmousemove)

      Sets an onmousemove Javascript handler.
      Parameters:
        `onmousemove` - the new onmousemove value

    - #### getOnmouseout

          public final String getOnmouseout()

      Gets an onmouseout Javascript handler.
      Returns:
        the new onmouseout value

    - #### setOnmouseout

          public final void setOnmouseout(String onmouseout)

      Sets an onmouseout Javascript handler.
      Parameters:
        `onmouseout` - the new onmouseout value

    - #### getOnkeypress

          public final String getOnkeypress()

      Gets an onkeypress Javascript handler.
      Returns:
        the new onkeypress value

    - #### setOnkeypress

          public final void setOnkeypress(String onkeypress)

      Sets an onkeypress Javascript handler.
      Parameters:
        `onkeypress` - the new onkeypress value

    - #### getOnkeydown

          public final String getOnkeydown()

      Gets an onkeydown Javascript handler.
      Returns:
        the new onkeydown value

    - #### setOnkeydown

          public final void setOnkeydown(String onkeydown)

      Sets an onkeydown Javascript handler.
      Parameters:
        `onkeydown` - the new onkeydown value

    - #### getOnkeyup

          public final String getOnkeyup()

      Gets an onkeyup Javascript handler.
      Returns:
        the new onkeyup value

    - #### setOnkeyup

          public final void setOnkeyup(String onkeyup)

      Sets an onkeyup Javascript handler.
      Parameters:
        `onkeyup` - the new onkeyup value

    - #### getStyleClass

          public final String getStyleClass()

      Gets the CSS style class of the bean.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets the CSS style class of the bean.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the inline CSS style for this element
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the inline CSS style for this element
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `UIXComponentBase`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXComponentBase`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.